Subject: [Fot] Longest Drive

From: Jim Norlin <[email-masked]>
Date: Sat, 26 Jan 2013 21:46:37 -0800

I talked my wife to be (and still wife, Patty) into buying a Spitfire in 
1972.  We drove it from Portland to Lodi, CA to attend a friends 
wedding.  What I remember most about the trip was filling the Spit with 
Coors beer which was not available in Oregon in those days (Smokey and 
the bandit part 0.01) .  I think we got three or four cases into various 
parts of the car - a six pack at a time.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive